Index: data/branches/atmospheric_engine/worlds/vulcania.oxw
===================================================================
--- data/branches/atmospheric_engine/worlds/vulcania.oxw	(revision 3774)
+++ data/branches/atmospheric_engine/worlds/vulcania.oxw	(revision 3775)
@@ -1,143 +1,91 @@
 <WorldDataFile>
-  <name>Vulcania</name>
-  <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
-  <screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
+	<name>Vulcania</name>
+	<menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
+	<screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
 
-  <LoadScreen>
-    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+	<LoadScreen>
+		<BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
 
-    <ElementCount>12</ElementCount>
-    <BackgroundPS>0,0,1.01,1</BackgroundPS>
-    <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar.png</BarImage>
-  </LoadScreen>
-  <WorldEntities>
-    <Helicopter>
-      <name>Player</name>
-      <abs-coor>50, 100, 50</abs-coor>
-    </Helicopter>
+		<ElementCount>12</ElementCount>
+		<BackgroundPS>0,0,1.01,1</BackgroundPS>
+		<BarPS>.65,.87,.3,.05</BarPS>
+		<BarImage>pictures/load_screen_bar.png</BarImage>
+	</LoadScreen>
+	<WorldEntities>
+		<Helicopter>
+			<name>Player</name>
+			<abs-coor>50, 100, 50</abs-coor>
+		</Helicopter>
 
-    <SkyBox>
-     <name>Sky</name>
-     <Materialset>pictures/sky/desert</Materialset>
-     <Size>10000</Size>
-    </SkyBox>
-    <Terrain>
-      <name>HardCore</name>
-      <model>worlds/vulcania.obj</model>
-      <vegetation>worlds/vulcania_vegetation.obj</vegetation>
-    </Terrain>
-
-    <ModelParticles>
-      <name>VulcanStoneSystem</name>
-      <model>models/vulcanic_stone.obj</model>
-      <life-span>6.0,2</life-span>
-      <radius>0,5,3</radius>
-      <mass>0,.1,0</mass>
-      <precache>5</precache>
-      <emitters>
-        <DotEmitter>
-          <name>VulcanStoneEmitter</name>
-          <emission-velocity>700,400</emission-velocity>
-          <rate>20</rate>
-          <type>cube</type>
-          <size>40</size>;
-          <rel-dir>1.51, 0,0,1</rel-dir>
-          <rel-coor>2460,105,606</rel-coor>
-          <spread>1,.5</spread>
-        </DotEmitter>
-      </emitters>
-    </ModelParticles>
-
-    <SpriteParticles>
-     <name>VulcanFogSystem</name>
-     <max-count>2000</max-count>
-     <life-span>10,2</life-span>
-     <radius>0.0,20.0,10.0</radius>
-     <radius>0.2,50,30</radius>
-     <radius>1,200,100</radius>
-     <mass>0,1.0,.3</mass>
-     <color>0, 1, 1, 1, .5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1.0, .0, .0, .0, .0</color>
-     <precache>5</precache>
-     <emitters>
-       <DotEmitter>
-        <name>VulcanFogEmitter</name>
-        <rel-dir>1.51, 0,0,1</rel-dir>
-        <type>cube</type>
-        <spread>.5,.3</spread>
-        <emission-velocity>150,50</emission-velocity>
-        <size>40</size>
-        <rate>150</rate>
-        <rel-coor>2460,105,606</rel-coor>
-       </DotEmitter>
-     </emitters>
-   </SpriteParticles>
-
-   <SparkParticles>
-     <name>VulcanSparkSystem</name>
-     <max-count>5000</max-count>
-     <life-span>5,2</life-span>
-     <radius>0,.2,.1</radius>
-     <radius>1,0,0</radius>
-     <mass>0,1,.05</mass>
-     <color>0,1,0,0,.3</color>
-     <color>.5,1,1,0,.2</color>
-     <color>1,.0,.0,.0,.0</color>
-     <precache>5</precache>
-     <emitters>
-       <DotEmitter>
-        <name>VulcanSparkEmitter</name>
-        <rel-dir>1.51, 0,0,1</rel-dir>
-        <type>cube</type>
-        <spread>.5,.3</spread>
-        <emission-velocity>150,50</emission-velocity>
-        <size>40</size>
-        <rate>400</rate>
-        <rel-coor>2460,105,606</rel-coor>
-       </DotEmitter>
-    </emitters>
-  </SparkParticles>
+		<SkyBox>
+		<name>Sky</name>
+		<Materialset>pictures/sky/desert</Materialset>
+		<Size>10000</Size>
+		</SkyBox>
+		<Terrain>
+			<name>HardCore</name>
+			<model>worlds/vulcania.obj</model>
+			<vegetation>worlds/vulcania_vegetation.obj</vegetation>
+		</Terrain>
 
 </WorldEntities>
 
-  <LightManager>
-    <ambient-color>1,1,1</ambient-color>
-    <Lights>
-      <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>100,100,50</abs-coor>
-      </Light>
-      <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>-100,0,100</abs-coor>
-      </Light>
-      <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>-100,2000,50</abs-coor>
-      </Light>
-    </Lights>
-  </LightManager>
+<LightManager>
+		<ambient-color>1,1,1</ambient-color>
+		<Lights>
+			<Light>
+			<diffuse-color>1,1,1</diffuse-color>
+			<abs-coor>100,100,50</abs-coor>
+			</Light>
+			<Light>
+			<diffuse-color>1,1,1</diffuse-color>
+			<abs-coor>-100,0,100</abs-coor>
+			</Light>
+			<Light>
+			<diffuse-color>1,1,1</diffuse-color>
+			<abs-coor>-100,2000,50</abs-coor>
+			</Light>
+		</Lights>
+	</LightManager>
 
+	<!-- <Music>sound/music/estorm.ogg</Music> -->
 
-  <PhysicsEngine>
-   <Fields>
-    <Gravity>
-     <name>gravity</name>
-     <magnitude>100</magnitude>
-    </Gravity>
-   </Fields>
-   <Connections>
-    <PhysicsConnection>
-     <subject>VulcanStoneSystem</subject>
-     <field>gravity</field>
-    </PhysicsConnection>
-    <PhysicsConnection>
-     <subject>VulcanSparkSystem</subject>
-     <field>gravity</field>
-    </PhysicsConnection>
-   </Connections>
-  </PhysicsEngine>
+	<PhysicsEngine>
+	<Fields>
+		<Gravity>
+		<name>gravity</name>
+		<magnitude>100</magnitude>
+		</Gravity>
+	</Fields>
+	<Connections>
+		<PhysicsConnection>
+		<subject>VulcanStoneSystem</subject>
+		<field>gravity</field>
+		</PhysicsConnection>
+		<PhysicsConnection>
+		<subject>VulcanSparkSystem</subject>
+		<field>gravity</field>
+		</PhysicsConnection>
+	</Connections>
+	</PhysicsEngine>
+
+<AtmosphericEngine>
+		<WeatherEffect>
+			<FogEffect></FogEffect>
+
+			<!--
+			<VolFogEffect>
+				<test>500</test>
+			</VolFogEffect>
+			-->
+
+			<RainEffect>
+				<option>moverain</option>
+			</RainEffect>
+
+			<SnowEffect></SnowEffect>
+
+		</WeatherEffect>
+</AtmosphericEngine>
 
 </WorldDataFile>
